package com.sifang.modules.customer.form;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.sifang.modules.customer.entity.ComposePlan;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class AddEntryReq {

    private String id;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 产品名称
     */
    private String projectName;

    /**
     * 产品编号
     */
    private String projectCode;

    /**
     * 关联产品数量
     */
    private Integer projectNum;

    /**
     * 代理商id
     */
    private String distributorId;

    /**
     * 代理商名称
     */
    private String traderName;

    /**
     * 代理商电话
     */
    private String traderTel;

    /**
     * 电站编码
     */
    private String powerStationCode;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 租户名称
     */
    private String tenantName;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 区县
     */
    private String area;

    /**
     * 详细地址
     */
    private String address;

    private String street;

    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 纬度
     */
    private BigDecimal latitude;

    /**
     * 联系方式
     */
    private String mobile;

    /**
     * 身份证号
     */
    private String idCode;

    /**
     * 房屋类型
     */
    private String roofType;

    /**
     * 角度朝向
     */
    private String angle;

    /**
     * 方位角：1.正南 2.南偏东 3.南偏西
     */
    private String azimuth;

    /**
     * 建筑高度
     */
    private BigDecimal buildingHeight;

    /**
     * 还款方式：1.二类卡 2.光E宝
     */
    private String repaymentMethod;

    /**
     * 估算并网距离
     */
    private BigDecimal distance;

    /**
     * 航拍图
     */
    private String flyImgs;

    /**
     * 屋顶照片1
     */
    private String roofPhotoOne;

    /**
     * 屋顶照片2
     */
    private String roofPhotoTwo;

    /**
     * 房屋照片3
     */
    private String roofPhotoThree;

    /**
     * 房屋照片4
     */
    private String roofPhotoFour;

    /**
     * 房屋照片5
     */
    private String roofPhotoFive;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 房产证
     */
    private String houseOwnership;

    private String encryptionIdCard;
    /**
     * 身份证照片正面
     */
    private String idCardFront;

    /**
     * 身份证照片正反面
     */
    private String idCardBack;

    /**
     * 状态 0.暂存 1.待审核 2.审核不通过 3.待下单 4.待收货 5.待安装 6.待并网 7.待验收 8.待交付 9.待归档 10.验收驳回 11.归档驳回 a.已完成 b.已删除 c.待上传发票 d.待签署合同
     */
    private String status;


    private String toExamineStatus;

    /**
     * 进件申请状态  0.暂存 1.未申请 2.待进件审核 3.进件审核不通过  NW:未审批;AP:审批中;RJ:拒绝;QY:签约;PR:审批通过;LS-已完成放款;LF-放款失败;
     */
    private String applyStatus;

    /**
     * 是否提交准入 0.否 1.是
     */
    private String admitFlag;

    /**
     * 创建人userId
     */
    private String createBy;

    /**
     * 创建人姓名
     */
    private String creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 设计方案 1.标准方案  2.组合方案
     */
    private String schemeType;

    /**
     * 方案类型id
     */
    private String schemeTypeId;

    /**
     * 方案类型名称
     */
    private String schemeTypeName;

    /**
     * 方案id
     */
    private String schemeId;

    /**
     * 方案名称
     */
    private String schemeName;

    /**
     * 设计图纸
     */
    private String designDrawings;

    /**
     * 设计图纸名称
     */
    private String designDrawingsName;

    /**
     * 验收报告id
     */
    private String receivingReportId;

    /**
     * 提交审核时间
     */
    private Date toExamineTime;

    /**
     * 审核人
     */
    private String examine;

    /**
     * 审核人名称
     */
    private String examineName;

    /**
     * 审核时间
     */
    private Date examineTime;

    /**
     * 审核备注
     */
    private String examineRemarks;

    /**
     * 设计自审的审核备注
     */
    private String auditRemarks;

    /**
     * 下单人
     */
    private Date orderTime;

    /**
     * 下单人user_id
     */
    private String orderBy;

    /**
     * 下单人姓名
     */
    private String orderName;

    /**
     * 收货人user_id
     */
    private String receiveBy;

    /**
     * 收货时间
     */
    private Date receiveTime;

    /**
     * 收货人姓名
     */
    private String receiveName;

    /**
     * 是否派工：0.否 1.是
     */
    private String dispatchStatus;


    /**
     * 派工时间
    */
    private Date dispatchTime;

    /**
     * 派工工程师姓名，多个逗号拼接
     */
    private String engineerName;

    /**
     * 派工工程师id，多个逗号拼接
     */
    private String engineerId;

    /**
     * 安装人
     */
    private String installBy;

    /**
     * 安装时间
     */
    private Date installTime;

    /**
     * 并网人user_id
     */
    private String mergeBy;

    /**
     * 并网人姓名
     */
    private String mergeName;

    /**
     * 并网时间
     */
    private Date mergeTime;

    /**
     * 验收人
     */
    private String checkAcceptBy;

    /**
     * 验收人姓名
     */
    private String checkAcceptName;

    /**
     * 验收时间
     */
    private Date checkAcceptTime;

    /**
     * 验收报告地址
     */
    private String checkAcceptImgs;

    /**
     * 交付人
     */
    private String deliverBy;

    /**
     * 交付人姓名
     */
    private String deliverName;

    /**
     * 交付时间
     */
    private Date deliverTime;

    /**
     * 交付文件
     */
    private String deliverFile;

    /**
     * 归档人
     */
    private String indocBy;

    /**
     * 归档人姓名
     */
    private String indocName;

    /**
     * 归档时间
     */
    private Date indocTime;

    /**
     * 标记类型id
     */
    private String flag;

    /**
     * 信息一致性 1.否 2.是
     */
    private String uniformity;

    /**
     * 组件规格
     */
    private String componentSpec;

    /**
     * 设计容量
     */
    private Integer designCapacity;

    /**
     * 实际容量
     */
    private BigDecimal actualCapacity;

    /**
     * 方案备注
     */
    private String schemeRemarks;

    /**
     * 发电户号
     */
    private String generatorNo;

    private String provinceCode;

    /**
     * 是否支付 1.否 2.是
     */
    private String whetherToPay;

    /**
     * 申请重审 1.否 2.是 3.已通过申请 4.未通过',
     */
    private String retrial;

    /**
     * 申请原因id
     */
    private String applyReasonId;

    /**
     * 申请原因内容
     */
    private String applyReasonName;

    /**
     * 申请时间
     */
    private Date applyTime;

    /**
     * 申请整改 1.否 2.是 3.已通过申请 4.未通过',
     */
    private String applyChange;

    /**
     * 变更类型id
     */
    private String rectificationSetId;

    /**
     * 变更原因
     */
    private String changeReason;

    /**
     * 审核意见
     */
    private String auditComments;

    /**
     * 申请整改时间
     */
    private Date changeTime;

    /**
     * 是否接收：0否 1是
     */
    private String acceptFlag;

    /**
     * 接收时间
     */
    private Date acceptTime;

    /**
     * 接收人user_id
     */
    private String acceptBy;

    /**
     * 接收人
     */
    private String acceptor;

    /**
     * 合作商id
     */
    private String partnerId;

    /**
     * 合作商名称
     */
    private String partnerName;

    /**
     * 资方类型 1.越秀 2.浙江浙银金融租赁股份有限公司 3.中信
     */
    private String managementType;

    /**
     * 预审状态 1.待预审 2.预审中 3.预审不通过 4.预审通过
     */
    private String credit;

    /**
     * 信息使用授权状态：1.未授权 2.已发起 3.已授权
     */
    private String authorization;

    /**
     * 征信结果备注原因（不通过原因）
     */
    private String creditDsc;

    /**
     * 第一次进件状态(NEW-待审批、APPROVING - 审批中、APPROVED - 审批通过、REJECTED - 审批拒绝、CLOSED - 取消、APPROVED_RETURN - 退回、CANCEL - 撤回)
     */
    private String firstApplyStatus;

    /**
     * 第二次进件状态(NEW-待审批、APPROVING-审批中、APPROVED-审批通过、REJECTED-审批拒绝、CANCEL - 撤回、WAITING-等待推送/补充并网及投放信息)
     */
    private String nextApplyStatus;

    /**
     * 进件退回、驳回原因
     */
    private String applyBackReason;

    /**
     * 合同
     */
    private String contract;
    private String contractFilename;

    /**
     * 发票
     */
    private String bill;

    /**
     * 发票编号
     */
    private String billNumber;

    //是否有自用并网箱 1无 2有
    private String oneselfFlag;


    private String regionId;

    private BigDecimal epcPrice;//EPC单价/ 每W定价

    private String projectCompanyId;//项目公司id

    private String projectCompanyName;//项目公司名称

    private String productLineId;//产品线id

    private String productLineName;//产品线名称

    private String productLine;//业务属性 1.纯租25年业务、2.经营性租赁、3.融资租赁、4.光伏贷、5.全款、6.其他

    private String payCycle;//租金支付周期 1按月支付 2按季支付 3按年支付


    private String signStatus; // 合同签署状态：0.未邀请 1.待农户签约 2.待公司签约 3.已完成

    private String sn;// sn码序列号(多个用逗号拼接)

    private String nbqSn;//逆变器sn码

    private BigDecimal etd;//当期新增发电量

    private BigDecimal eto;//累计发电量

    private BigDecimal etdc;//当期新增发电收入

    private BigDecimal etoc;//累计发电收入

    private String warehouseId;

    private String gdtRemarks;

    private String roofPhotoFacade;

    private String roofPhotoInterior;

    private String filingDocumentPhoto;

    private String filingDocumentCode;

    private String bankName;//开户银行
    private String bankCode;//银行账号
    private String filingDocumentPhoto2;//备案文件2
    private String filingDocumentPhoto3;//备案文件3

    private String gender;//性别:MALE:男 FEMALE:女 UNKNOW:未知
    private Integer age;//年龄

    private String residenceBooklet;//户口本复印件
    private String tssBankNum;//联行号

    private String tssBankNumName; //开户支行
    private String bankCard;//银行卡照片
    private String insuranceFlag;//保险购买情况:1.控制投放及续保 2.控制投放 3.其他
    @JsonFormat(pattern="yyyy-MM-dd")
    private Date leaseDate;//预计投放日
    private String bpName;//共签人名称
    private String bpRelation;//共签人关系
    private String bpIdCard;//共签人证件号码,不能与租户身份证号码相同
    private String bpMobile;//共签人手机号
    private String bpCardFront;//共签人身份证正面
    private String bpCardBack;//共签人身份证反面
    private String bpFile;//共签人子女证明材料
    private String exigenceName;//紧急联系人
    private String exigencePhone;//紧急联系人电话
    private String secCardStatus;//开卡状态（0未开卡 1已开卡 3开卡中 4开卡失败）

    private String zjpbImg;//组件排布图
    private String zjzxImg;//组件走线图
    private String zjcsImg;//支架侧视图
    private String zjhsImg;//支架后视图
    private String nbqwzImg;//逆变器位置
    private String pdxwzImg;//配电箱位置
    private String filingType;//备案类型:1.农户备案 2.项目公司备案
    private String addressConsistent;//购售电地址是否一致 Y:是、N:否

    private String electricProvince;//购售电地址(省）
    private String electricCity;//购售电地址(市）
    private String electricArea;//购售电地址(区）
    private String electricAddress;//购售电地址(详细地址）

    private String createTraderId;
    private String createTraderName;

    /**
     *
     */
    private String houseSupplementOne;

    private String detailSupplementOne;

    /*
    设计审核状态：1.待踏勘 2.待自审 3.自审驳回 4.自审通过 5.设计审核驳回 6.档案审核驳回 7.已完成
     */
    private String designAuditFlag;
    /**
     * 安装状态：0.未开始 1.待派工 2.待安装 3.自审驳回 4.安装完成
     */
    private String installFlag;
    /**
     * 安装验收状态：0.未开始 1.待自审 2.自审通过 3.验收驳回 4.验收通过
     */
    private String checkAcceptFlag;
    /**
     * 并网验收状态：0.未开始 1.待并网验收 2.并网验收驳回 3.资方审核中 4.资方审核通过
     */
    private String mergeFlag;

    private String onGridFlag;

    /**
     * 租户分类: 1.个人 2.单位
     */
    private String tenantType;

    /**
     * 法人/组织负责人姓名，当前承租人为法人时要求必填
     */
    private String corp;

    /**
     * 法人登记注册号码
     */
    private String regno;

    /**
     * 营业执照
     */
    private String regnoUrl;

    /**
     * 信誉凭证
     */
    private String creditCertificate;

    /**
     * 并网电压等级
     */
    private BigDecimal voltageClasses;

    /**
     * 变压器容量
     */
    private BigDecimal transformerCapacity;

    /**
     * 是否符合变压器容量限制要求:1.符合 2.不符合
     */
    private String restrictFlag;

    /**
     * 是否封屋顶:1.是 2.否
     */
    private String sealRoof;

    /**
     * 房屋建成年份
     */
    private String completionYear;

    /**
     * 组件倾角
     */
    private BigDecimal dipAngle;

    /**
     * 屋面坡度
     */
    private BigDecimal slopeGradient;

    /**
     * 檩条间距
     */
    private BigDecimal purlineInterval;

    /**
     * 屋顶防水情况：1.一般 2.良好
     */
    private String waterproof;

    /**
     * 是否有污染源：1.有 2.没有
     */
    private String sourcePollution;

    /**
     * 是否具备运维空间：1.具备 2.不具备
     */
    private String opsCondition;

    public String getOnGridFlag() {
        return onGridFlag;
    }

    public void setOnGridFlag(String onGridFlag) {
        this.onGridFlag = onGridFlag;
    }

    @OneToMany(targetEntity = ComposePlan.class)
    private List<ComposePlan> composePlanLists;

    private String type;//0:暂存 1:提交 3:初勘

    /**
     * 勘测记录表
     */
    private String dzImgs;

    /**
     * 踏勘补充证明视频文件url
     */
    private String surveyVideo;

    // 踏勘记录表文件
    private String surveyFiles;

    /**
     * 代理商id
     */
    private String traderId;

    private String zfId;

    private String company;
    //屋顶面积
    private BigDecimal  roofArea;
    //东西长
    private BigDecimal ewLength;
    //南北宽
    private BigDecimal nsWide;
    //房屋整体图（VR全景）
    private String vrRoofOne;
    //房屋整体俯视图（VR）
    private String vrRoofTwo;
    //房屋内部结构图（VR）
    private String vrRoofThree;
    //入户全景照片(VR)
    private String vrRoofFour;
    /**
     * 出生日期
     */
    private Date birthdayDate;

    /**
     * 身份证生效日
     */
    private Date icValidityBegin;

    /**
     * 身份证到期日
     */
    private Date icValidityEnd;

    //房屋轮廓照片
    private String houseOutlinePhoto;

    //房屋整体图
    private String fwImg1;
    //房屋内部结构图
    private String fwImg2;
    //房屋屋顶东南侧图片
    private String fwImg3;
    //房屋屋顶西南侧图片
    private String fwImg4;
    //遮阴物与房屋距离、高度
    private String fwImg5;
    //自审结果（用于小程序）
    private String zsFlag;  //审核结果 1通过 2驳回
    private String nodeType; //驳回节点 1勘测 2设计
    private String zsAuditRemarks;

    private String mergeType;  //并网方式 1一户多站 2整村汇流

    private Integer boxTotalCount; //本组电站个数

    private String boxGroupId;   //汇流组编号

    //屋面板厚度(单位 毫米/mm)
    private String roofFaceThickness;

    //结构类型(框架结构、砖木结构、砖混结构、框剪结构、其它)
    private String structureType;

    //场地坡度
    private String siteSlope;

    //地面类型(水泥硬化、砂石、土壤、其它)
    private String groundType;

    //地质情况
    private String geologicalCondition;

    //围墙高度(单位 米/m)
    private String fenceHeight;

    private String windPressure;
    private String snowPressure;
    private String pressureLevel;

    public String getWindPressure() {
        return windPressure;
    }

    public void setWindPressure(String windPressure) {
        this.windPressure = windPressure;
    }

    public String getSnowPressure() {
        return snowPressure;
    }

    public void setSnowPressure(String snowPressure) {
        this.snowPressure = snowPressure;
    }

    public String getPressureLevel() {
        return pressureLevel;
    }

    public void setPressureLevel(String pressureLevel) {
        this.pressureLevel = pressureLevel;
    }

    public String getRoofFaceThickness() {
        return roofFaceThickness;
    }

    public void setRoofFaceThickness(String roofFaceThickness) {
        this.roofFaceThickness = roofFaceThickness;
    }

    public String getStructureType() {
        return structureType;
    }

    public void setStructureType(String structureType) {
        this.structureType = structureType;
    }

    public String getSiteSlope() {
        return siteSlope;
    }

    public void setSiteSlope(String siteSlope) {
        this.siteSlope = siteSlope;
    }

    public String getGroundType() {
        return groundType;
    }

    public void setGroundType(String groundType) {
        this.groundType = groundType;
    }

    public String getGeologicalCondition() {
        return geologicalCondition;
    }

    public void setGeologicalCondition(String geologicalCondition) {
        this.geologicalCondition = geologicalCondition;
    }

    public String getFenceHeight() {
        return fenceHeight;
    }

    public void setFenceHeight(String fenceHeight) {
        this.fenceHeight = fenceHeight;
    }

    private List<AddEntryReqSurveyDetail> addEntryReqSurveyDetails;

    public List<AddEntryReqSurveyDetail> getAddEntryReqSurveyDetails() {
        return addEntryReqSurveyDetails;
    }

    public void setAddEntryReqSurveyDetails(List<AddEntryReqSurveyDetail> addEntryReqSurveyDetails) {
        this.addEntryReqSurveyDetails = addEntryReqSurveyDetails;
    }

    /**
     * 产品集合
     */
    private List<ProjectInfoVo> projectList;
    private List<AddEntryReqDesignDetail> addEntryReqDesignDetails;

    public List<AddEntryReqDesignDetail> getAddEntryReqDesignDetails() {
        return addEntryReqDesignDetails;
    }

    public void setAddEntryReqDesignDetails(List<AddEntryReqDesignDetail> addEntryReqDesignDetails) {
        this.addEntryReqDesignDetails = addEntryReqDesignDetails;
    }

    public List<ProjectInfoVo> getProjectList() {
        return projectList;
    }

    public void setProjectList(List<ProjectInfoVo> projectList) {
        this.projectList = projectList;
    }

    public Integer getProjectNum() {
        return projectNum;
    }

    public void setProjectNum(Integer projectNum) {
        this.projectNum = projectNum;
    }

    public String getMergeType() {
        return mergeType;
    }

    public void setMergeType(String mergeType) {
        this.mergeType = mergeType;
    }

    public Integer getBoxTotalCount() {
        return boxTotalCount;
    }

    public void setBoxTotalCount(Integer boxTotalCount) {
        this.boxTotalCount = boxTotalCount;
    }

    public String getBoxGroupId() {
        return boxGroupId;
    }

    public void setBoxGroupId(String boxGroupId) {
        this.boxGroupId = boxGroupId;
    }

    public String getZsFlag() {
        return zsFlag;
    }

    public void setZsFlag(String zsFlag) {
        this.zsFlag = zsFlag;
    }

    public String getNodeType() {
        return nodeType;
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }

    public String getZsAuditRemarks() {
        return zsAuditRemarks;
    }

    public void setZsAuditRemarks(String zsAuditRemarks) {
        this.zsAuditRemarks = zsAuditRemarks;
    }

    public String getFwImg1() {
        return fwImg1;
    }

    public void setFwImg1(String fwImg1) {
        this.fwImg1 = fwImg1;
    }

    public String getFwImg2() {
        return fwImg2;
    }

    public void setFwImg2(String fwImg2) {
        this.fwImg2 = fwImg2;
    }

    public String getFwImg3() {
        return fwImg3;
    }

    public void setFwImg3(String fwImg3) {
        this.fwImg3 = fwImg3;
    }

    public String getFwImg4() {
        return fwImg4;
    }

    public void setFwImg4(String fwImg4) {
        this.fwImg4 = fwImg4;
    }

    public String getFwImg5() {
        return fwImg5;
    }

    public void setFwImg5(String fwImg5) {
        this.fwImg5 = fwImg5;
    }

    public String getHouseOutlinePhoto() {
        return houseOutlinePhoto;
    }

    public void setHouseOutlinePhoto(String houseOutlinePhoto) {
        this.houseOutlinePhoto = houseOutlinePhoto;
    }

    public Date getBirthdayDate() {
        return birthdayDate;
    }

    public void setBirthdayDate(Date birthdayDate) {
        this.birthdayDate = birthdayDate;
    }

    public Date getIcValidityBegin() {
        return icValidityBegin;
    }

    public void setIcValidityBegin(Date icValidityBegin) {
        this.icValidityBegin = icValidityBegin;
    }

    public Date getIcValidityEnd() {
        return icValidityEnd;
    }

    public void setIcValidityEnd(Date icValidityEnd) {
        this.icValidityEnd = icValidityEnd;
    }

    public BigDecimal getRoofArea() {
        return roofArea;
    }

    public void setRoofArea(BigDecimal roofArea) {
        this.roofArea = roofArea;
    }

    public BigDecimal getEwLength() {
        return ewLength;
    }

    public void setEwLength(BigDecimal ewLength) {
        this.ewLength = ewLength;
    }

    public BigDecimal getNsWide() {
        return nsWide;
    }

    public void setNsWide(BigDecimal nsWide) {
        this.nsWide = nsWide;
    }

    public String getVrRoofOne() {
        return vrRoofOne;
    }

    public void setVrRoofOne(String vrRoofOne) {
        this.vrRoofOne = vrRoofOne;
    }

    public String getVrRoofTwo() {
        return vrRoofTwo;
    }

    public void setVrRoofTwo(String vrRoofTwo) {
        this.vrRoofTwo = vrRoofTwo;
    }

    public String getVrRoofThree() {
        return vrRoofThree;
    }

    public void setVrRoofThree(String vrRoofThree) {
        this.vrRoofThree = vrRoofThree;
    }

    public String getVrRoofFour() {
        return vrRoofFour;
    }

    public void setVrRoofFour(String vrRoofFour) {
        this.vrRoofFour = vrRoofFour;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getZfId() {
        return zfId;
    }


    public void setZfId(String zfId) {
        this.zfId = zfId;
    }

    public String getTraderId() {
        return traderId;
    }

    public void setTraderId(String traderId) {
        this.traderId = traderId;
    }

    public String getNbqSn() {
        return nbqSn;
    }

    public void setNbqSn(String nbqSn) {
        this.nbqSn = nbqSn;
    }

    public String getToExamineStatus() {
        return toExamineStatus;
    }

    public void setToExamineStatus(String toExamineStatus) {
        this.toExamineStatus = toExamineStatus;
    }

    public String getElectricProvince() {
        return electricProvince;
    }

    public void setElectricProvince(String electricProvince) {
        this.electricProvince = electricProvince;
    }

    public String getElectricCity() {
        return electricCity;
    }

    public void setElectricCity(String electricCity) {
        this.electricCity = electricCity;
    }

    public String getElectricArea() {
        return electricArea;
    }

    public void setElectricArea(String electricArea) {
        this.electricArea = electricArea;
    }

    public String getElectricAddress() {
        return electricAddress;
    }

    public void setElectricAddress(String electricAddress) {
        this.electricAddress = electricAddress;
    }

    /**
     * 电器组件
     */
    private List<CustomerEntryComponentVo> itemList;

    public String getEncryptionIdCard() {
        return encryptionIdCard;
    }

    public void setEncryptionIdCard(String encryptionIdCard) {
        this.encryptionIdCard = encryptionIdCard;
    }

    public String getGdtRemarks() {
        return gdtRemarks;
    }

    public void setGdtRemarks(String gdtRemarks) {
        this.gdtRemarks = gdtRemarks;
    }

    public Date getDispatchTime() {
        return dispatchTime;
    }

    public void setDispatchTime(Date dispatchTime) {
        this.dispatchTime = dispatchTime;
    }

    //状态 1.待审核 2.审核不通过 3.待下单 4.待收货 5.待安装 6.待并网 7.待验收 8.待支付 9.待归档 a.已完成
    public AddEntryReq() {
        super();
        this.status = "1";
        this.createTime = new Date();
        this.uniformity="1";
		this.schemeType="1";
		this.designCapacity=0;
        this.actualCapacity=BigDecimal.ZERO;
		this.retrial="1";
		this.whetherToPay ="1";
		this.applyChange = "1";
		this.acceptFlag="0";
        this.admitFlag = "0";
        this.dispatchStatus = "0";
        this.epcPrice = BigDecimal.ZERO;
        this.toExamineStatus="1";
        this.credit="0";
        this.authorization="1";
        this.secCardStatus="0";
        this.designAuditFlag = "0";
        this.installFlag = "0";
        this.checkAcceptFlag = "0";
        this.mergeFlag = "0";
        this.onGridFlag = "0";
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public String getDistributorId() {
        return distributorId;
    }

    public void setDistributorId(String distributorId) {
        this.distributorId = distributorId;
    }

    public String getTraderName() {
        return traderName;
    }

    public void setTraderName(String traderName) {
        this.traderName = traderName;
    }

    public String getTraderTel() {
        return traderTel;
    }

    public void setTraderTel(String traderTel) {
        this.traderTel = traderTel;
    }

    public String getPowerStationCode() {
        return powerStationCode;
    }

    public void setPowerStationCode(String powerStationCode) {
        this.powerStationCode = powerStationCode;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getTenantName() {
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getIdCode() {
        return idCode;
    }

    public void setIdCode(String idCode) {
        this.idCode = idCode;
    }

    public String getRoofType() {
        return roofType;
    }

    public void setRoofType(String roofType) {
        this.roofType = roofType;
    }

    public String getAngle() {
        return angle;
    }

    public void setAngle(String angle) {
        this.angle = angle;
    }

    public String getAzimuth() {
        return azimuth;
    }

    public void setAzimuth(String azimuth) {
        this.azimuth = azimuth;
    }

    public BigDecimal getBuildingHeight() {
        return buildingHeight;
    }

    public void setBuildingHeight(BigDecimal buildingHeight) {
        this.buildingHeight = buildingHeight;
    }

    public String getRepaymentMethod() {
        return repaymentMethod;
    }

    public void setRepaymentMethod(String repaymentMethod) {
        this.repaymentMethod = repaymentMethod;
    }

    public BigDecimal getDistance() {
        return distance;
    }

    public void setDistance(BigDecimal distance) {
        this.distance = distance;
    }

    public String getFlyImgs() {
        return flyImgs;
    }

    public void setFlyImgs(String flyImgs) {
        this.flyImgs = flyImgs;
    }

    public String getRoofPhotoOne() {
        return roofPhotoOne;
    }

    public void setRoofPhotoOne(String roofPhotoOne) {
        this.roofPhotoOne = roofPhotoOne;
    }

    public String getRoofPhotoTwo() {
        return roofPhotoTwo;
    }

    public void setRoofPhotoTwo(String roofPhotoTwo) {
        this.roofPhotoTwo = roofPhotoTwo;
    }

    public String getRoofPhotoThree() {
        return roofPhotoThree;
    }

    public void setRoofPhotoThree(String roofPhotoThree) {
        this.roofPhotoThree = roofPhotoThree;
    }

    public String getRoofPhotoFour() {
        return roofPhotoFour;
    }

    public void setRoofPhotoFour(String roofPhotoFour) {
        this.roofPhotoFour = roofPhotoFour;
    }

    public String getRoofPhotoFive() {
        return roofPhotoFive;
    }

    public void setRoofPhotoFive(String roofPhotoFive) {
        this.roofPhotoFive = roofPhotoFive;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getHouseOwnership() {
        return houseOwnership;
    }

    public void setHouseOwnership(String houseOwnership) {
        this.houseOwnership = houseOwnership;
    }

    public String getIdCardFront() {
        return idCardFront;
    }

    public void setIdCardFront(String idCardFront) {
        this.idCardFront = idCardFront;
    }

    public String getIdCardBack() {
        return idCardBack;
    }

    public void setIdCardBack(String idCardBack) {
        this.idCardBack = idCardBack;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getApplyStatus() {
        return applyStatus;
    }

    public void setApplyStatus(String applyStatus) {
        this.applyStatus = applyStatus;
    }

    public String getAdmitFlag() {
        return admitFlag;
    }

    public void setAdmitFlag(String admitFlag) {
        this.admitFlag = admitFlag;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getSchemeType() {
        return schemeType;
    }

    public void setSchemeType(String schemeType) {
        this.schemeType = schemeType;
    }

    public String getSchemeTypeId() {
        return schemeTypeId;
    }

    public void setSchemeTypeId(String schemeTypeId) {
        this.schemeTypeId = schemeTypeId;
    }

    public String getSchemeTypeName() {
        return schemeTypeName;
    }

    public void setSchemeTypeName(String schemeTypeName) {
        this.schemeTypeName = schemeTypeName;
    }

    public String getSchemeId() {
        return schemeId;
    }

    public void setSchemeId(String schemeId) {
        this.schemeId = schemeId;
    }

    public String getSchemeName() {
        return schemeName;
    }

    public void setSchemeName(String schemeName) {
        this.schemeName = schemeName;
    }

    public String getDesignDrawings() {
        return designDrawings;
    }

    public void setDesignDrawings(String designDrawings) {
        this.designDrawings = designDrawings;
    }

    public String getDesignDrawingsName() {
        return designDrawingsName;
    }

    public void setDesignDrawingsName(String designDrawingsName) {
        this.designDrawingsName = designDrawingsName;
    }

    public String getReceivingReportId() {
        return receivingReportId;
    }

    public void setReceivingReportId(String receivingReportId) {
        this.receivingReportId = receivingReportId;
    }

    public Date getToExamineTime() {
        return toExamineTime;
    }

    public void setToExamineTime(Date toExamineTime) {
        this.toExamineTime = toExamineTime;
    }

    public String getExamine() {
        return examine;
    }

    public void setExamine(String examine) {
        this.examine = examine;
    }

    public String getExamineName() {
        return examineName;
    }

    public void setExamineName(String examineName) {
        this.examineName = examineName;
    }

    public Date getExamineTime() {
        return examineTime;
    }

    public void setExamineTime(Date examineTime) {
        this.examineTime = examineTime;
    }

    public String getExamineRemarks() {
        return examineRemarks;
    }

    public void setExamineRemarks(String examineRemarks) {
        this.examineRemarks = examineRemarks;
    }

    public Date getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(Date orderTime) {
        this.orderTime = orderTime;
    }

    public String getOrderBy() {
        return orderBy;
    }

    public void setOrderBy(String orderBy) {
        this.orderBy = orderBy;
    }

    public String getOrderName() {
        return orderName;
    }

    public void setOrderName(String orderName) {
        this.orderName = orderName;
    }

    public String getReceiveBy() {
        return receiveBy;
    }

    public void setReceiveBy(String receiveBy) {
        this.receiveBy = receiveBy;
    }

    public Date getReceiveTime() {
        return receiveTime;
    }

    public void setReceiveTime(Date receiveTime) {
        this.receiveTime = receiveTime;
    }

    public String getReceiveName() {
        return receiveName;
    }

    public void setReceiveName(String receiveName) {
        this.receiveName = receiveName;
    }

    public String getDispatchStatus() {
        return dispatchStatus;
    }

    public void setDispatchStatus(String dispatchStatus) {
        this.dispatchStatus = dispatchStatus;
    }

    public String getEngineerName() {
        return engineerName;
    }

    public void setEngineerName(String engineerName) {
        this.engineerName = engineerName;
    }

    public String getEngineerId() {
        return engineerId;
    }

    public void setEngineerId(String engineerId) {
        this.engineerId = engineerId;
    }

    public String getInstallBy() {
        return installBy;
    }

    public void setInstallBy(String installBy) {
        this.installBy = installBy;
    }

    public Date getInstallTime() {
        return installTime;
    }

    public void setInstallTime(Date installTime) {
        this.installTime = installTime;
    }

    public String getMergeBy() {
        return mergeBy;
    }

    public void setMergeBy(String mergeBy) {
        this.mergeBy = mergeBy;
    }

    public String getMergeName() {
        return mergeName;
    }

    public void setMergeName(String mergeName) {
        this.mergeName = mergeName;
    }

    public Date getMergeTime() {
        return mergeTime;
    }

    public void setMergeTime(Date mergeTime) {
        this.mergeTime = mergeTime;
    }

    public String getCheckAcceptBy() {
        return checkAcceptBy;
    }

    public void setCheckAcceptBy(String checkAcceptBy) {
        this.checkAcceptBy = checkAcceptBy;
    }

    public String getCheckAcceptName() {
        return checkAcceptName;
    }

    public void setCheckAcceptName(String checkAcceptName) {
        this.checkAcceptName = checkAcceptName;
    }

    public Date getCheckAcceptTime() {
        return checkAcceptTime;
    }

    public void setCheckAcceptTime(Date checkAcceptTime) {
        this.checkAcceptTime = checkAcceptTime;
    }

    public String getCheckAcceptImgs() {
        return checkAcceptImgs;
    }

    public void setCheckAcceptImgs(String checkAcceptImgs) {
        this.checkAcceptImgs = checkAcceptImgs;
    }

    public String getDeliverBy() {
        return deliverBy;
    }

    public void setDeliverBy(String deliverBy) {
        this.deliverBy = deliverBy;
    }

    public String getDeliverName() {
        return deliverName;
    }

    public void setDeliverName(String deliverName) {
        this.deliverName = deliverName;
    }

    public Date getDeliverTime() {
        return deliverTime;
    }

    public void setDeliverTime(Date deliverTime) {
        this.deliverTime = deliverTime;
    }

    public String getDeliverFile() {
        return deliverFile;
    }

    public void setDeliverFile(String deliverFile) {
        this.deliverFile = deliverFile;
    }

    public String getIndocBy() {
        return indocBy;
    }

    public void setIndocBy(String indocBy) {
        this.indocBy = indocBy;
    }

    public String getIndocName() {
        return indocName;
    }

    public void setIndocName(String indocName) {
        this.indocName = indocName;
    }

    public Date getIndocTime() {
        return indocTime;
    }

    public void setIndocTime(Date indocTime) {
        this.indocTime = indocTime;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getUniformity() {
        return uniformity;
    }

    public void setUniformity(String uniformity) {
        this.uniformity = uniformity;
    }

    public String getComponentSpec() {
        return componentSpec;
    }

    public void setComponentSpec(String componentSpec) {
        this.componentSpec = componentSpec;
    }

    public Integer getDesignCapacity() {
        return designCapacity;
    }

    public void setDesignCapacity(Integer designCapacity) {
        this.designCapacity = designCapacity;
    }

    public BigDecimal getActualCapacity() {
        return actualCapacity;
    }

    public void setActualCapacity(BigDecimal actualCapacity) {
        this.actualCapacity = actualCapacity;
    }

    public String getSchemeRemarks() {
        return schemeRemarks;
    }

    public void setSchemeRemarks(String schemeRemarks) {
        this.schemeRemarks = schemeRemarks;
    }

    public String getGeneratorNo() {
        return generatorNo;
    }

    public void setGeneratorNo(String generatorNo) {
        this.generatorNo = generatorNo;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getWhetherToPay() {
        return whetherToPay;
    }

    public void setWhetherToPay(String whetherToPay) {
        this.whetherToPay = whetherToPay;
    }

    public String getRetrial() {
        return retrial;
    }

    public void setRetrial(String retrial) {
        this.retrial = retrial;
    }

    public String getApplyReasonId() {
        return applyReasonId;
    }

    public void setApplyReasonId(String applyReasonId) {
        this.applyReasonId = applyReasonId;
    }

    public String getApplyReasonName() {
        return applyReasonName;
    }

    public void setApplyReasonName(String applyReasonName) {
        this.applyReasonName = applyReasonName;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public String getApplyChange() {
        return applyChange;
    }

    public void setApplyChange(String applyChange) {
        this.applyChange = applyChange;
    }

    public String getRectificationSetId() {
        return rectificationSetId;
    }

    public void setRectificationSetId(String rectificationSetId) {
        this.rectificationSetId = rectificationSetId;
    }

    public String getChangeReason() {
        return changeReason;
    }

    public void setChangeReason(String changeReason) {
        this.changeReason = changeReason;
    }

    public String getAuditComments() {
        return auditComments;
    }

    public void setAuditComments(String auditComments) {
        this.auditComments = auditComments;
    }

    public Date getChangeTime() {
        return changeTime;
    }

    public void setChangeTime(Date changeTime) {
        this.changeTime = changeTime;
    }

    public String getAcceptFlag() {
        return acceptFlag;
    }

    public void setAcceptFlag(String acceptFlag) {
        this.acceptFlag = acceptFlag;
    }

    public Date getAcceptTime() {
        return acceptTime;
    }

    public void setAcceptTime(Date acceptTime) {
        this.acceptTime = acceptTime;
    }

    public String getAcceptBy() {
        return acceptBy;
    }

    public void setAcceptBy(String acceptBy) {
        this.acceptBy = acceptBy;
    }

    public String getAcceptor() {
        return acceptor;
    }

    public void setAcceptor(String acceptor) {
        this.acceptor = acceptor;
    }

    public String getPartnerId() {
        return partnerId;
    }

    public void setPartnerId(String partnerId) {
        this.partnerId = partnerId;
    }

    public String getPartnerName() {
        return partnerName;
    }

    public void setPartnerName(String partnerName) {
        this.partnerName = partnerName;
    }

    public String getManagementType() {
        return managementType;
    }

    public void setManagementType(String managementType) {
        this.managementType = managementType;
    }

    public String getCredit() {
        return credit;
    }

    public void setCredit(String credit) {
        this.credit = credit;
    }

    public String getAuthorization() {
        return authorization;
    }

    public void setAuthorization(String authorization) {
        this.authorization = authorization;
    }

    public String getCreditDsc() {
        return creditDsc;
    }

    public void setCreditDsc(String creditDsc) {
        this.creditDsc = creditDsc;
    }

    public String getFirstApplyStatus() {
        return firstApplyStatus;
    }

    public void setFirstApplyStatus(String firstApplyStatus) {
        this.firstApplyStatus = firstApplyStatus;
    }

    public String getNextApplyStatus() {
        return nextApplyStatus;
    }

    public void setNextApplyStatus(String nextApplyStatus) {
        this.nextApplyStatus = nextApplyStatus;
    }

    public String getApplyBackReason() {
        return applyBackReason;
    }

    public void setApplyBackReason(String applyBackReason) {
        this.applyBackReason = applyBackReason;
    }

    public List<ComposePlan> getComposePlanLists() {
        return composePlanLists;
    }

    public void setComposePlanLists(List<ComposePlan> composePlanLists) {
        this.composePlanLists = composePlanLists;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getContract() {
        return contract;
    }

    public void setContract(String contract) {
        this.contract = contract;
    }

    public List<CustomerEntryComponentVo> getItemList() {
        return itemList;
    }

    public void setItemList(List<CustomerEntryComponentVo> itemList) {
        this.itemList = itemList;
    }

    public String getBill() {
        return bill;
    }

    public void setBill(String bill) {
        this.bill = bill;
    }

    public String getBillNumber() {
        return billNumber;
    }

    public void setBillNumber(String billNumber) {
        this.billNumber = billNumber;
    }

    public String getOneselfFlag() {
        return oneselfFlag;
    }

    public void setOneselfFlag(String oneselfFlag) {
        this.oneselfFlag = oneselfFlag;
    }

    public BigDecimal getEpcPrice() {
        return epcPrice;
    }

    public void setEpcPrice(BigDecimal epcPrice) {
        this.epcPrice = epcPrice;
    }

    public String getProjectCompanyId() {
        return projectCompanyId;
    }

    public void setProjectCompanyId(String projectCompanyId) {
        this.projectCompanyId = projectCompanyId;
    }

    public String getProjectCompanyName() {
        return projectCompanyName;
    }

    public void setProjectCompanyName(String projectCompanyName) {
        this.projectCompanyName = projectCompanyName;
    }

    public String getProductLineId() {
        return productLineId;
    }

    public void setProductLineId(String productLineId) {
        this.productLineId = productLineId;
    }

    public String getProductLineName() {
        return productLineName;
    }

    public void setProductLineName(String productLineName) {
        this.productLineName = productLineName;
    }

    public String getProductLine() {
        return productLine;
    }

    public void setProductLine(String productLine) {
        this.productLine = productLine;
    }

    public String getPayCycle() {
        return payCycle;
    }

    public void setPayCycle(String payCycle) {
        this.payCycle = payCycle;
    }

    public String getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(String signStatus) {
        this.signStatus = signStatus;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public BigDecimal getEtd() {
        return etd;
    }

    public void setEtd(BigDecimal etd) {
        this.etd = etd;
    }

    public BigDecimal getEto() {
        return eto;
    }

    public void setEto(BigDecimal eto) {
        this.eto = eto;
    }

    public BigDecimal getEtdc() {
        return etdc;
    }

    public void setEtdc(BigDecimal etdc) {
        this.etdc = etdc;
    }

    public BigDecimal getEtoc() {
        return etoc;
    }

    public void setEtoc(BigDecimal etoc) {
        this.etoc = etoc;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getRoofPhotoFacade() {
        return roofPhotoFacade;
    }

    public void setRoofPhotoFacade(String roofPhotoFacade) {
        this.roofPhotoFacade = roofPhotoFacade;
    }

    public String getRoofPhotoInterior() {
        return roofPhotoInterior;
    }

    public void setRoofPhotoInterior(String roofPhotoInterior) {
        this.roofPhotoInterior = roofPhotoInterior;
    }

    public String getFilingDocumentPhoto() {
        return filingDocumentPhoto;
    }

    public void setFilingDocumentPhoto(String filingDocumentPhoto) {
        this.filingDocumentPhoto = filingDocumentPhoto;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public String getFilingDocumentPhoto2() {
        return filingDocumentPhoto2;
    }

    public void setFilingDocumentPhoto2(String filingDocumentPhoto2) {
        this.filingDocumentPhoto2 = filingDocumentPhoto2;
    }

    public String getFilingDocumentPhoto3() {
        return filingDocumentPhoto3;
    }

    public void setFilingDocumentPhoto3(String filingDocumentPhoto3) {
        this.filingDocumentPhoto3 = filingDocumentPhoto3;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getResidenceBooklet() {
        return residenceBooklet;
    }

    public void setResidenceBooklet(String residenceBooklet) {
        this.residenceBooklet = residenceBooklet;
    }

    public String getTssBankNum() {
        return tssBankNum;
    }

    public void setTssBankNum(String tssBankNum) {
        this.tssBankNum = tssBankNum;
    }

    public String getBankCard() {
        return bankCard;
    }

    public void setBankCard(String bankCard) {
        this.bankCard = bankCard;
    }

    public String getInsuranceFlag() {
        return insuranceFlag;
    }

    public void setInsuranceFlag(String insuranceFlag) {
        this.insuranceFlag = insuranceFlag;
    }

    public Date getLeaseDate() {
        return leaseDate;
    }

    public void setLeaseDate(Date leaseDate) {
        this.leaseDate = leaseDate;
    }

    public String getBpName() {
        return bpName;
    }

    public void setBpName(String bpName) {
        this.bpName = bpName;
    }

    public String getBpRelation() {
        return bpRelation;
    }

    public void setBpRelation(String bpRelation) {
        this.bpRelation = bpRelation;
    }

    public String getBpIdCard() {
        return bpIdCard;
    }

    public void setBpIdCard(String bpIdCard) {
        this.bpIdCard = bpIdCard;
    }

    public String getBpMobile() {
        return bpMobile;
    }

    public void setBpMobile(String bpMobile) {
        this.bpMobile = bpMobile;
    }

    public String getBpCardFront() {
        return bpCardFront;
    }

    public void setBpCardFront(String bpCardFront) {
        this.bpCardFront = bpCardFront;
    }

    public String getBpCardBack() {
        return bpCardBack;
    }

    public void setBpCardBack(String bpCardBack) {
        this.bpCardBack = bpCardBack;
    }

    public String getBpFile() {
        return bpFile;
    }

    public void setBpFile(String bpFile) {
        this.bpFile = bpFile;
    }

    public String getZjpbImg() {
        return zjpbImg;
    }

    public void setZjpbImg(String zjpbImg) {
        this.zjpbImg = zjpbImg;
    }

    public String getZjzxImg() {
        return zjzxImg;
    }

    public void setZjzxImg(String zjzxImg) {
        this.zjzxImg = zjzxImg;
    }

    public String getZjcsImg() {
        return zjcsImg;
    }

    public void setZjcsImg(String zjcsImg) {
        this.zjcsImg = zjcsImg;
    }

    public String getZjhsImg() {
        return zjhsImg;
    }

    public void setZjhsImg(String zjhsImg) {
        this.zjhsImg = zjhsImg;
    }

    public String getNbqwzImg() {
        return nbqwzImg;
    }

    public void setNbqwzImg(String nbqwzImg) {
        this.nbqwzImg = nbqwzImg;
    }

    public String getPdxwzImg() {
        return pdxwzImg;
    }

    public void setPdxwzImg(String pdxwzImg) {
        this.pdxwzImg = pdxwzImg;
    }

    public String getFilingType() {
        return filingType;
    }

    public void setFilingType(String filingType) {
        this.filingType = filingType;
    }

    public String getSecCardStatus() {
        return secCardStatus;
    }

    public void setSecCardStatus(String secCardStatus) {
        this.secCardStatus = secCardStatus;
    }

    public String getAddressConsistent() {
        return addressConsistent;
    }

    public void setAddressConsistent(String addressConsistent) {
        this.addressConsistent = addressConsistent;
    }

    public String getCreateTraderId() {
        return createTraderId;
    }

    public void setCreateTraderId(String createTraderId) {
        this.createTraderId = createTraderId;
    }

    public String getCreateTraderName() {
        return createTraderName;
    }

    public void setCreateTraderName(String createTraderName) {
        this.createTraderName = createTraderName;
    }

    public String getTssBankNumName() {
        return tssBankNumName;
    }

    public void setTssBankNumName(String tssBankNumName) {
        this.tssBankNumName = tssBankNumName;
    }

    public String getHouseSupplementOne() {
        return houseSupplementOne;
    }

    public void setHouseSupplementOne(String houseSupplementOne) {
        this.houseSupplementOne = houseSupplementOne;
    }

    public String getDetailSupplementOne() {
        return detailSupplementOne;
    }

    public void setDetailSupplementOne(String detailSupplementOne) {
        this.detailSupplementOne = detailSupplementOne;
    }

    public String getDesignAuditFlag() {
        return designAuditFlag;
    }

    public void setDesignAuditFlag(String designAuditFlag) {
        this.designAuditFlag = designAuditFlag;
    }

    public String getInstallFlag() {
        return installFlag;
    }

    public void setInstallFlag(String installFlag) {
        this.installFlag = installFlag;
    }

    public String getCheckAcceptFlag() {
        return checkAcceptFlag;
    }

    public void setCheckAcceptFlag(String checkAcceptFlag) {
        this.checkAcceptFlag = checkAcceptFlag;
    }

    public String getMergeFlag() {
        return mergeFlag;
    }

    public void setMergeFlag(String mergeFlag) {
        this.mergeFlag = mergeFlag;
    }

    public String getFilingDocumentCode() {
        return this.filingDocumentCode;
    }

    public void setFilingDocumentCode(final String filingDocumentCode) {
        this.filingDocumentCode = filingDocumentCode;
    }

    public String getContractFilename() {
        return contractFilename;
    }

    public void setContractFilename(String contractFilename) {
        this.contractFilename = contractFilename;
    }

    public String getTenantType() {
        return tenantType;
    }

    public void setTenantType(String tenantType) {
        this.tenantType = tenantType;
    }

    public String getAuditRemarks() {
        return auditRemarks;
    }

    public void setAuditRemarks(String auditRemarks) {
        this.auditRemarks = auditRemarks;
    }

    public String getCorp() {
        return corp;
    }

    public void setCorp(String corp) {
        this.corp = corp;
    }

    public String getRegno() {
        return regno;
    }

    public void setRegno(String regno) {
        this.regno = regno;
    }

    public String getRegnoUrl() {
        return regnoUrl;
    }

    public void setRegnoUrl(String regnoUrl) {
        this.regnoUrl = regnoUrl;
    }

    public BigDecimal getVoltageClasses() {
        return voltageClasses;
    }

    public void setVoltageClasses(BigDecimal voltageClasses) {
        this.voltageClasses = voltageClasses;
    }

    public BigDecimal getTransformerCapacity() {
        return transformerCapacity;
    }

    public void setTransformerCapacity(BigDecimal transformerCapacity) {
        this.transformerCapacity = transformerCapacity;
    }

    public String getRestrictFlag() {
        return restrictFlag;
    }

    public void setRestrictFlag(String restrictFlag) {
        this.restrictFlag = restrictFlag;
    }

    public String getSealRoof() {
        return sealRoof;
    }

    public void setSealRoof(String sealRoof) {
        this.sealRoof = sealRoof;
    }

    public String getCompletionYear() {
        return completionYear;
    }

    public void setCompletionYear(String completionYear) {
        this.completionYear = completionYear;
    }

    public BigDecimal getDipAngle() {
        return dipAngle;
    }

    public void setDipAngle(BigDecimal dipAngle) {
        this.dipAngle = dipAngle;
    }

    public BigDecimal getSlopeGradient() {
        return slopeGradient;
    }

    public void setSlopeGradient(BigDecimal slopeGradient) {
        this.slopeGradient = slopeGradient;
    }

    public BigDecimal getPurlineInterval() {
        return purlineInterval;
    }

    public void setPurlineInterval(BigDecimal purlineInterval) {
        this.purlineInterval = purlineInterval;
    }

    public String getWaterproof() {
        return waterproof;
    }

    public void setWaterproof(String waterproof) {
        this.waterproof = waterproof;
    }

    public String getSourcePollution() {
        return sourcePollution;
    }

    public void setSourcePollution(String sourcePollution) {
        this.sourcePollution = sourcePollution;
    }

    public String getOpsCondition() {
        return opsCondition;
    }

    public void setOpsCondition(String opsCondition) {
        this.opsCondition = opsCondition;
    }

    public String getDzImgs() {
        return dzImgs;
    }

    public void setDzImgs(String dzImgs) {
        this.dzImgs = dzImgs;
    }

    public String getSurveyVideo() {
        return surveyVideo;
    }

    public void setSurveyVideo(String surveyVideo) {
        this.surveyVideo = surveyVideo;
    }

    public String getSurveyFiles() {
        return surveyFiles;
    }

    public void setSurveyFiles(String surveyFiles) {
        this.surveyFiles = surveyFiles;
    }

    public String getExigenceName() {
        return exigenceName;
    }

    public void setExigenceName(String exigenceName) {
        this.exigenceName = exigenceName;
    }

    public String getExigencePhone() {
        return exigencePhone;
    }

    public void setExigencePhone(String exigencePhone) {
        this.exigencePhone = exigencePhone;
    }

    public String getCreditCertificate() {
        return creditCertificate;
    }

    public void setCreditCertificate(String creditCertificate) {
        this.creditCertificate = creditCertificate;
    }

    @Override
    public String toString() {
        return "AddEntryReq{" +
                "id='" + id + '\'' +
                ", projectId='" + projectId + '\'' +
                ", projectName='" + projectName + '\'' +
                ", projectCode='" + projectCode + '\'' +
                ", distributorId='" + distributorId + '\'' +
                ", traderName='" + traderName + '\'' +
                ", traderTel='" + traderTel + '\'' +
                ", powerStationCode='" + powerStationCode + '\'' +
                ", tenantId='" + tenantId + '\'' +
                ", tenantName='" + tenantName + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", area='" + area + '\'' +
                ", address='" + address + '\'' +
                ", street='" + street + '\'' +
                ", longitude=" + longitude +
                ", latitude=" + latitude +
                ", mobile='" + mobile + '\'' +
                ", idCode='" + idCode + '\'' +
                ", roofType='" + roofType + '\'' +
                ", angle='" + angle + '\'' +
                ", azimuth='" + azimuth + '\'' +
                ", buildingHeight=" + buildingHeight +
                ", repaymentMethod='" + repaymentMethod + '\'' +
                ", distance=" + distance +
                ", flyImgs='" + flyImgs + '\'' +
                ", roofPhotoOne='" + roofPhotoOne + '\'' +
                ", roofPhotoTwo='" + roofPhotoTwo + '\'' +
                ", roofPhotoThree='" + roofPhotoThree + '\'' +
                ", roofPhotoFour='" + roofPhotoFour + '\'' +
                ", roofPhotoFive='" + roofPhotoFive + '\'' +
                ", remarks='" + remarks + '\'' +
                ", houseOwnership='" + houseOwnership + '\'' +
                ", encryptionIdCard='" + encryptionIdCard + '\'' +
                ", idCardFront='" + idCardFront + '\'' +
                ", idCardBack='" + idCardBack + '\'' +
                ", status='" + status + '\'' +
                ", toExamineStatus='" + toExamineStatus + '\'' +
                ", applyStatus='" + applyStatus + '\'' +
                ", admitFlag='" + admitFlag + '\'' +
                ", createBy='" + createBy + '\'' +
                ", creator='" + creator + '\'' +
                ", createTime=" + createTime +
                ", schemeType='" + schemeType + '\'' +
                ", schemeTypeId='" + schemeTypeId + '\'' +
                ", schemeTypeName='" + schemeTypeName + '\'' +
                ", schemeId='" + schemeId + '\'' +
                ", schemeName='" + schemeName + '\'' +
                ", designDrawings='" + designDrawings + '\'' +
                ", designDrawingsName='" + designDrawingsName + '\'' +
                ", receivingReportId='" + receivingReportId + '\'' +
                ", toExamineTime=" + toExamineTime +
                ", examine='" + examine + '\'' +
                ", examineName='" + examineName + '\'' +
                ", examineTime=" + examineTime +
                ", examineRemarks='" + examineRemarks + '\'' +
                ", auditRemarks='" + auditRemarks + '\'' +
                ", orderTime=" + orderTime +
                ", orderBy='" + orderBy + '\'' +
                ", orderName='" + orderName + '\'' +
                ", receiveBy='" + receiveBy + '\'' +
                ", receiveTime=" + receiveTime +
                ", receiveName='" + receiveName + '\'' +
                ", dispatchStatus='" + dispatchStatus + '\'' +
                ", dispatchTime=" + dispatchTime +
                ", engineerName='" + engineerName + '\'' +
                ", engineerId='" + engineerId + '\'' +
                ", installBy='" + installBy + '\'' +
                ", installTime=" + installTime +
                ", mergeBy='" + mergeBy + '\'' +
                ", mergeName='" + mergeName + '\'' +
                ", mergeTime=" + mergeTime +
                ", checkAcceptBy='" + checkAcceptBy + '\'' +
                ", checkAcceptName='" + checkAcceptName + '\'' +
                ", checkAcceptTime=" + checkAcceptTime +
                ", checkAcceptImgs='" + checkAcceptImgs + '\'' +
                ", deliverBy='" + deliverBy + '\'' +
                ", deliverName='" + deliverName + '\'' +
                ", deliverTime=" + deliverTime +
                ", deliverFile='" + deliverFile + '\'' +
                ", indocBy='" + indocBy + '\'' +
                ", indocName='" + indocName + '\'' +
                ", indocTime=" + indocTime +
                ", flag='" + flag + '\'' +
                ", uniformity='" + uniformity + '\'' +
                ", componentSpec='" + componentSpec + '\'' +
                ", designCapacity=" + designCapacity +
                ", actualCapacity=" + actualCapacity +
                ", schemeRemarks='" + schemeRemarks + '\'' +
                ", generatorNo='" + generatorNo + '\'' +
                ", provinceCode='" + provinceCode + '\'' +
                ", whetherToPay='" + whetherToPay + '\'' +
                ", retrial='" + retrial + '\'' +
                ", applyReasonId='" + applyReasonId + '\'' +
                ", applyReasonName='" + applyReasonName + '\'' +
                ", applyTime=" + applyTime +
                ", applyChange='" + applyChange + '\'' +
                ", rectificationSetId='" + rectificationSetId + '\'' +
                ", changeReason='" + changeReason + '\'' +
                ", auditComments='" + auditComments + '\'' +
                ", changeTime=" + changeTime +
                ", acceptFlag='" + acceptFlag + '\'' +
                ", acceptTime=" + acceptTime +
                ", acceptBy='" + acceptBy + '\'' +
                ", acceptor='" + acceptor + '\'' +
                ", partnerId='" + partnerId + '\'' +
                ", partnerName='" + partnerName + '\'' +
                ", managementType='" + managementType + '\'' +
                ", credit='" + credit + '\'' +
                ", authorization='" + authorization + '\'' +
                ", creditDsc='" + creditDsc + '\'' +
                ", firstApplyStatus='" + firstApplyStatus + '\'' +
                ", nextApplyStatus='" + nextApplyStatus + '\'' +
                ", applyBackReason='" + applyBackReason + '\'' +
                ", contract='" + contract + '\'' +
                ", contractFilename='" + contractFilename + '\'' +
                ", bill='" + bill + '\'' +
                ", billNumber='" + billNumber + '\'' +
                ", oneselfFlag='" + oneselfFlag + '\'' +
                ", regionId='" + regionId + '\'' +
                ", epcPrice=" + epcPrice +
                ", projectCompanyId='" + projectCompanyId + '\'' +
                ", projectCompanyName='" + projectCompanyName + '\'' +
                ", productLineId='" + productLineId + '\'' +
                ", productLineName='" + productLineName + '\'' +
                ", productLine='" + productLine + '\'' +
                ", payCycle='" + payCycle + '\'' +
                ", signStatus='" + signStatus + '\'' +
                ", sn='" + sn + '\'' +
                ", nbqSn='" + nbqSn + '\'' +
                ", etd=" + etd +
                ", eto=" + eto +
                ", etdc=" + etdc +
                ", etoc=" + etoc +
                ", warehouseId='" + warehouseId + '\'' +
                ", gdtRemarks='" + gdtRemarks + '\'' +
                ", roofPhotoFacade='" + roofPhotoFacade + '\'' +
                ", roofPhotoInterior='" + roofPhotoInterior + '\'' +
                ", filingDocumentPhoto='" + filingDocumentPhoto + '\'' +
                ", filingDocumentCode='" + filingDocumentCode + '\'' +
                ", bankName='" + bankName + '\'' +
                ", bankCode='" + bankCode + '\'' +
                ", filingDocumentPhoto2='" + filingDocumentPhoto2 + '\'' +
                ", filingDocumentPhoto3='" + filingDocumentPhoto3 + '\'' +
                ", gender='" + gender + '\'' +
                ", age=" + age +
                ", residenceBooklet='" + residenceBooklet + '\'' +
                ", tssBankNum='" + tssBankNum + '\'' +
                ", tssBankNumName='" + tssBankNumName + '\'' +
                ", bankCard='" + bankCard + '\'' +
                ", insuranceFlag='" + insuranceFlag + '\'' +
                ", leaseDate=" + leaseDate +
                ", bpName='" + bpName + '\'' +
                ", bpIdCard='" + bpIdCard + '\'' +
                ", bpMobile='" + bpMobile + '\'' +
                ", bpCardFront='" + bpCardFront + '\'' +
                ", bpCardBack='" + bpCardBack + '\'' +
                ", bpFile='" + bpFile + '\'' +
                ", exigenceName='" + exigenceName + '\'' +
                ", exigencePhone='" + exigencePhone + '\'' +
                ", secCardStatus='" + secCardStatus + '\'' +
                ", zjpbImg='" + zjpbImg + '\'' +
                ", zjzxImg='" + zjzxImg + '\'' +
                ", zjcsImg='" + zjcsImg + '\'' +
                ", zjhsImg='" + zjhsImg + '\'' +
                ", nbqwzImg='" + nbqwzImg + '\'' +
                ", pdxwzImg='" + pdxwzImg + '\'' +
                ", filingType='" + filingType + '\'' +
                ", addressConsistent='" + addressConsistent + '\'' +
                ", electricProvince='" + electricProvince + '\'' +
                ", electricCity='" + electricCity + '\'' +
                ", electricArea='" + electricArea + '\'' +
                ", electricAddress='" + electricAddress + '\'' +
                ", createTraderId='" + createTraderId + '\'' +
                ", createTraderName='" + createTraderName + '\'' +
                ", houseSupplementOne='" + houseSupplementOne + '\'' +
                ", detailSupplementOne='" + detailSupplementOne + '\'' +
                ", designAuditFlag='" + designAuditFlag + '\'' +
                ", installFlag='" + installFlag + '\'' +
                ", checkAcceptFlag='" + checkAcceptFlag + '\'' +
                ", mergeFlag='" + mergeFlag + '\'' +
                ", onGridFlag='" + onGridFlag + '\'' +
                ", tenantType='" + tenantType + '\'' +
                ", corp='" + corp + '\'' +
                ", regno='" + regno + '\'' +
                ", regnoUrl='" + regnoUrl + '\'' +
                ", voltageClasses=" + voltageClasses +
                ", transformerCapacity=" + transformerCapacity +
                ", restrictFlag='" + restrictFlag + '\'' +
                ", sealRoof='" + sealRoof + '\'' +
                ", completionYear='" + completionYear + '\'' +
                ", dipAngle=" + dipAngle +
                ", slopeGradient=" + slopeGradient +
                ", purlineInterval=" + purlineInterval +
                ", waterproof='" + waterproof + '\'' +
                ", sourcePollution='" + sourcePollution + '\'' +
                ", opsCondition='" + opsCondition + '\'' +
                ", composePlanLists=" + composePlanLists +
                ", type='" + type + '\'' +
                ", dzImgs='" + dzImgs + '\'' +
                ", surveyVideo='" + surveyVideo + '\'' +
                ", surveyFiles='" + surveyFiles + '\'' +
                ", traderId='" + traderId + '\'' +
                ", zfId='" + zfId + '\'' +
                ", company='" + company + '\'' +
                ", itemList=" + itemList +
                '}';
    }
}
